Create a clean draft Timeline or Timeline template
- Base URL
-
https://{kibana_url}
- POST /api/timeline/_draft
- POST /s/{space_id}/api/timeline/_draft
Create a clean draft Timeline or Timeline template for the current user.
If the user already has a draft Timeline, the existing draft Timeline is cleared and returned.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Indicates that the draft Timeline was successfully created. In the event the user already has a draft Timeline, the existing draft Timeline is cleared and returned.
-
dataobjectrequired -
persistTimelineobjectrequired -
timelineobjectrequired -
excludedRowRendererIdsenum[]nullable -
A list of row renderers that should not be used when in
Event renderersmode -
Values:
alertalertsauditdauditd_filelibrarynetflowplainregistrysuricatasystemsystem_dnssystem_endgame_processsystem_filesystem_fimsystem_security_eventsystem_socketthreat_matchzeek -
indexNamesstring[]nullable -
A list of index names to use in the query (e.g. when the default data view has been modified)
-
kqlModestringnullable -
Indicates whether the KQL bar filters the query results or searches for additional results, where:
filter: filters query resultssearch: displays additional search results
-
templateTimelineIdstringnullable -
A unique ID (UUID) for Timeline templates. For Timelines, the value is
null. -
templateTimelineVersionnumbernullable -
Timeline template version number. For Timelines, the value is
null. -
pinnedEventIdsstring[]nullable -
A list of all the ids of pinned events that are associated to this Timeline.
Indicates that the user does not have the required permissions to create a draft Timeline.